System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

This collection is a dictionary containing all the objects on an ASP.NET server control. You can access the objects contained in this collection through the class implementation of the interface. Any or objects associated with a server control exist only at design time. They do not exist at run time and, therefore, are not accessible during run time.

Provides a collection of objects for an ASP.NET server control. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Adds the specified object to the collection.

  The data-binding object to add to the collection. 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler

  The changed event occurs when the method, the method, or the method is called.

  Occurs when the collection of objects is changed.

- Method
  System.Void To be added

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether the data-binding collection contains a specific object.

  true if the contains an element with the specified name; otherwise, false.

  The name of the object to locate in the collection.
- Method
  System.Void `` `` To be added

  Copies the values to a one-dimensional , beginning at the object's specified index.

  The one-dimensional that is the destination of the values copied from . The index in the array, specified by the parameter, where copying begins. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of objects in the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added

  Returns an enumerator to iterate through the object.

  An that contains the collection's members.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the collection is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the collection is synchronized (thread safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.DataBinding `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object associated with the specified property name from the collection and adds it to the collection.

  The property name associated with the to be removed. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the specified object from the collection and adds it to the collection.

  The to be removed from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Removes the object, associated with the specified property name, from the collection and controls whether to add the binding to the list.

  The property associated with the to be removed. A Boolean value that indicates whether to add the property name to the list. true indicates that the parameter will be added to the property, and false indicates that will not be added to the property. 1.0.5000.0 2.0.0.0
- Property
  System.String[] To be added: an object of type 'string []' To be added

  Gets an array of the names of the objects removed from the collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object' To be added

  Gets an object that can be used to synchronize access to the collection.

  1.0.5000.0
  2.0.0.0